## btanks 0.9.8083

=== SConstruct ===
--- 
+++ 
@@ -1,7 +1,7 @@
 import os, sys
 
-#builder for static libraries
-env = Environment()
+env = Environment(ENV=os.environ)
+
 if sys.platform == 'win32':
 	env['SHLINKCOM'] = [env['SHLINKCOM'], 'mt.exe -nologo -manifest ${TARGET}.manifest -outputresource:$TARGET;2']
 
@@ -17,24 +17,25 @@
 env['BUILDERS']['Library'] = picLibBuilder
 
 opts = Options(['options.cache'])
-opts.Add('CC', 'C compiler')
-opts.Add('CXX', 'C++ compiler')
-opts.Add('CCFLAGS', 'General options that are passed to the C compiler', '')
-opts.Add('CXXFLAGS', 'General options that are passed to the C++ compiler', '')
-if sys.platform == "win32":
-	opts.Add('LINK', 'Linker program', '')
-opts.Add('LINKFLAGS', 'General options that are passed to the linker', '')
-opts.Add('CPPPATH', 'extra cpp path', '')
+#opts.Add('CC', 'C compiler')
+#opts.Add('CXX', 'C++ compiler')
+opts.Add('CCFLAGS', 'General options that are passed to the C compiler')
+opts.Add('CXXFLAGS', 'General options that are passed to the C++ compiler')
+if sys.platform == "win32":
+	opts.Add('LINK', 'Linker program')
+opts.Add('LINKFLAGS', 'General options that are passed to the linker')
+opts.Add('LIBPATH', 'Path to external libraries')
+opts.Add('LINK', 'Linker')
+opts.Add('CPPPATH', 'extra cpp path')
 
 if sys.platform != "win32":
 	opts.Add('prefix', 'prefix for **nix packaging', '')
 	opts.Add('lib_dir', 'resources directory (default: prefix/lib)', '')
 	opts.Add('plugins_dir', 'plugins directory (default: prefix/lib/btanks)', '')
 	opts.Add('resources_dir', 'resources directory (default: prefix/share/btanks)', '')
+	opts.Add(BoolOption('gcc_visibility', 'gcc visibility', 'true'))
 
 opts.Add(EnumOption('mode', 'build mode', 'release', allowed_values=('debug','release')))
-opts.Add(BoolOption('gcc_visibility', 'gcc visibility', 'false'))
-opts.Add(BoolOption('enable_lua', 'enable lua support', 'true'))
 
 opts.Update(env)
 opts.Save('options.cache', env.Clone())
@@ -57,7 +58,7 @@
 if os.environ.has_key('LDFLAGS'):
 	env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
 
-if (env['gcc_visibility']): 
+if (sys.platform != "win32" and env['gcc_visibility']): 
 	env.Append(CCFLAGS=['-fvisibility=hidden', '-DGCC_HASCLASSVISIBILITY'])
 	env.Append(CXXFLAGS=['-fvisibility-inlines-hidden', '-fvisibility=hidden', '-DGCC_HASCLASSVISIBILITY'])
 
@@ -101,28 +102,13 @@
 		env.Append(CCFLAGS=['-O3'])
 		env.Append(CPPFLAGS=['-O3'])
 		
-	env.Append(CPPFLAGS=['-Wall', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
-	env.Append(CCFLAGS=['-Wall', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
+	env.Append(CPPFLAGS=['-Wall', '-Wno-deprecated', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
+	env.Append(CCFLAGS=['-Wall', '-Wno-deprecated', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
 
 
 conf_env = env.Clone()
 conf = Configure(conf_env)
 
-#print conf.env['CCFLAGS']
-
-if not conf.CheckLibWithHeader('expat', 'expat.h', 'c', "XML_ParserCreate(NULL);", False):
-	Exit(1)
-
-if not conf.CheckLibWithHeader('z', 'zlib.h', 'c', "zlibVersion();", False):
-	Exit(1)
-
-if sys.platform == "win32":
-	conf.env.Append(LINKFLAGS = ['/SUBSYSTEM:WINDOWS', '/FORCE'])
-	conf.env.Append(LIBS=['SDLmain'])
-
-if not conf.CheckLibWithHeader('SDL', 'SDL/SDL.h', 'c++', "SDL_Init(0);", False):
-	Exit(1)
-	
 if sys.platform != "win32":
 	sdl_cflags = env.ParseFlags('!pkg-config --cflags sdl')
 	sdl_libs = env.ParseFlags('!pkg-config --libs sdl')
@@ -131,6 +117,22 @@
 	sdl_cflags = {}
 	sdl_libs = {}
 
+#print conf.env['CCFLAGS']
+
+if not conf.CheckLibWithHeader('expat', 'expat.h', 'c', "XML_ParserCreate(NULL);", False):
+	Exit(1)
+
+if not conf.CheckLibWithHeader('z', 'zlib.h', 'c', "zlibVersion();", False):
+	Exit(1)
+
+if sys.platform == "win32":
+	conf.env.Append(LINKFLAGS = ['/SUBSYSTEM:WINDOWS', '/FORCE'])
+	conf.env.Append(LIBS=['SDLmain'])
+
+if not conf.CheckLibWithHeader('SDL', 'SDL.h', 'c++', "SDL_Init(0);", False):
+	Exit(1)
+	
+
 Export('sdl_cflags')
 Export('sdl_libs')
 smpeg_lib = 'smpeg'
@@ -141,15 +143,20 @@
 if not conf.CheckLibWithHeader(smpeg_lib, 'smpeg/smpeg.h', 'c++', "SMPEG_new_data(malloc(42), 42, NULL, 0);", False):
 	Exit(1)
 
-if not conf.CheckLibWithHeader('SDL_image', 'SDL/SDL_image.h', 'c++', "IMG_Load(0);", False):
+if not conf.CheckLibWithHeader('SDL_image', 'SDL_image.h', 'c++', "IMG_Load(0);", False):
 	Exit(1)
 
 if not conf.CheckLibWithHeader('vorbisfile', 'vorbis/vorbisfile.h', 'c++', "ov_open(0, 0, 0, 0);", False):
 	Exit(1)
 
-if sys.platform == 'win32' and env['enable_lua']:
+if sys.platform == 'win32':
 	if not conf.CheckLibWithHeader('lua', 'lua.hpp', 'c++', "lua_newstate(NULL, NULL);", False):
 		Exit(1)
+
+if sys.platform != 'win32':
+	have_sse = conf.CheckLibWithHeader('m', "xmmintrin.h", 'c', '_mm_set_ss(1.0f);', False)
+else: 
+	have_sse = conf.CheckLibWithHeader('kernel32', "xmmintrin.h", 'c', '_mm_set_ss(1.0f);', False) # hackish lib :(
 
 conf.Finish()
 
@@ -165,6 +172,7 @@
 Export('env')
 install_targets = list()
 Export('install_targets')
+Export('have_sse')
 
 lib_dir = '.'
 plugins_dir = ''
@@ -237,7 +245,7 @@
 Export('lib_dir')
 Export('plugins_dir')
 
-version = '0.8.%s' %version
+version = '0.9.%s' %version
 print "version: %s" %version
 
 bt_sublibs = ['mrt', 'sdlx', 'objects', 'clunk']
