=== debian/changelog ===
btanks (0.9.8083-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on buildd by using override_dh_install-indep instead of
    override_dh_install.
  * Export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2 because upstream's
    build system does not honor CPPFLAGS correctly.
  * Improve package description. Thanks to Paul Stewart for the report and
    patch. (LP: #834098)

 -- Markus Koschany <apo@debian.org>  Fri, 15 Apr 2016 06:18:35 +0200

btanks (0.9.8083-5) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Markus Koschany ]
  * Remove override for dh_builddeb. xz is the default now.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use compat level 9 and require debhelper >= 9.
  * Vcs-Browser: Use https.
  * Fix Lintian error build-depends-on-obsolete-package and remove
    hardening-includes from Build-Depends.
  * btanks-data: Replace Recommends btanks with Suggests.
  * debian/copyright: Update to copyright format 1.0 syntax.
  * Build with parallel.
  * Fix Lintian error dh-manual-sequence-control-obsolete dh before and dh
    remaining and remove binary-indep target in debian/rules.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * btanks.desktop: Add keywords and a comment in German.
  * Add 64x64 png icon and install it to hicolor directory.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Apr 2016 23:56:32 +0200

btanks (0.9.8083-4) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * Use XZ compression for binary packages.

  [ Vincent Legout ]
  * Build-Depends on zlib1g-dev, fix FTBFS (Closes: #669518)
  * Fix Vcs-Browser field
  * debian/patches/remove_default_optimizations.patch: Add DEP-3 header

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 31 May 2012 02:47:36 +0100

btanks (0.9.8083-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667123.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 04:35:06 +0000

btanks (0.9.8083-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.6. (Closes: #624916)
    + new patch: gcc-4.6.patch
  * Use dpkg-buildflags and hardening-includes to set compiler flags.
  * debian/control: Use Breaks instead of Conflicts.
  * Bump Standards-Version to 3.9.2.
  * debian/control: Remove DM-Upload-Allowed.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 May 2011 08:21:56 +0200

btanks (0.9.8083-2) unstable; urgency=low

  * Fix build failure when building only arch-specific package.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 17 Jan 2010 00:02:57 +0900

btanks (0.9.8083-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
    + Update debian/copyright.
  * Switch to source format v3 and drop b-dep on quilt.
  * debian/rules: Use override_* rules.
  * Bump Standards Version to 3.8.3 (no changes).

  [ Gonéri Le Bouder ]
  * Use source format v3 to store html.tar.uu content directly in
    debian/ directory
  * doc is in btanks package, Move btanks-data.doc-base to btanks.doc-base
   - add a conflicts against btanks-data << 0.9.8083-1
  * Add myself in Uploaders:

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 10 Jan 2010 02:25:17 +0100

btanks (0.8.7686-2) unstable; urgency=low

  * Do not use the CURRENCY_SYMBOL identifier in mrt/tclUniData.c.
    This should fix the build failure on alpha.
    + new patch rename-currency-symbol.patch

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 17 Feb 2009 00:16:17 +0100

btanks (0.8.7686-1) unstable; urgency=low

  * New Upstream Version (Closes: #490792, #496997)
    + Get available resolutions from the SDL (Closes: #440737)
    + New sound backend (Closes: #440897)
  * Refresh remove_default_optimizations.patch
  * Remove btanks_gcc43.patch (applied upstream)
  * Rewrote debian/rules to use debhelper 7
  * Change description for btanks-data
  * Add myself to Uploaders
  * Convert debian/copyright to proposed machine-readable format
    and update for new upstream release
  * Bump Standards Version to 3.8.0 (no changes)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 21 Sep 2008 19:11:19 +0200

btanks (0.7.5800-2) unstable; urgency=high

  [ Barry deFreese ]
  * btanks_gcc43.patch - Build with gcc-4.3. (Closes: #470980).

  [ Alexander Schmehl ]
  * Adjusting build-depends for dh_icon
  * Set correct doc-base section

 -- Alexander Schmehl <tolimar@debian.org>  Mon, 07 Apr 2008 23:38:08 +0200

btanks (0.7.5800-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release (Closes: #449455)
  * debian/docs - remove about_us.txt File no longer exists
  * Add watch file
  * Remove XS- prefix from VCS fields in control
  * Remove Homepage from package descriptions
  * Add myself to uploaders
  * Bump Standards Version to 3.7.3
  * Add build-dep on liblua5.1 for new release
  * Change menu section to Games/Action
  * Add -l$(CURDIR)/debian/btanks/usr/lib/btanks to dh_shlibdeps

  [ Simon Ruggier ]
  * rules: add call to dh_desktop in the binary-arch target
  * menu: change section to Games/Arcade, which exists in the menu spec
  * btanks.desktop: add ArcadeGame to Categories 
    + remove deprecated Encoding key

  [ Paul Wise ]
  * Call dh_icons to update icon caches
  * Improve the description for the data package
  * Clean up the watch file
  * Drop ${shlibs:Depends} from data pkg deps

 -- Barry deFreese <bddebian@comcast.net>  Sun, 07 Oct 2007 22:32:28 -0400

btanks (0.5.4740-2) unstable; urgency=low

  * Corrected btanks-data.doc-base. Wrong mention to other package.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 24 Aug 2007 09:47:46 +0200

btanks (0.5.4740-1) unstable; urgency=low

  * Initial release (Closes: #434740)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 04 Aug 2007 17:16:13 +0000
