=== debian/control ===
Source: btanks
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bddebian@comcast.net>,
 Ansgar Burchardt <ansgar@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg (>= 1.15.7),
 libexpat1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 liblua5.1-dev,
 libsdl-image1.2-dev,
 libsdl1.2-dev,
 libsigc++-2.0-dev,
 libsmpeg-dev,
 libvorbis-dev,
 python,
 scons,
 sharutils,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://btanks.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/btanks/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/btanks/

Package: btanks
Architecture: any
Depends:
 btanks-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 btanks-data (<< 0.9.8083-1)
Description: fast 2D tank arcade game with multiplayer and split-screen modes
 Battle Tanks is a funny battle on your desk, where you can choose one of three
 vehicles and eliminate your enemy using the whole arsenal of weapons. It has
 original cartoon-like graphics and cool music, is fun and dynamic and has
 death-match and cooperative network modes.

Package: btanks-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 btanks
Description: fast 2D tank arcade game -- data
 Battle Tanks is a funny battle on your desk, where you can choose one of three
 vehicles and eliminate your enemy using the whole arsenal of weapons. It has
 original cartoon-like graphics and cool music, is fun and dynamic and has
 death-match and cooperative network modes.
 .
 This package contains fonts, maps, sounds, music, images and other data for
 Battle Tanks.
