=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2

%:
	dh $@ --parallel

override_dh_auto_build:
	python engine/sl08/sl08.py >engine/sl08/sl08.h
	scons prefix=/usr resources_dir=/usr/share/games/btanks plugins_dir=/usr/lib/btanks lib_dir=/usr/lib/btanks

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .sconf_temp build

override_dh_install-indep:
	dh_install
	find debian/btanks-data -type f -print0 | xargs -0 chmod 0644
