=== debian/watch ===
version=3
http://sf.net/btanks/btanks-(.+)\.tar\.bz2
